Hallo Gast

Foutmelding bij installatie module op prestashop 1.7.7.2

  • 8 Reacties
  • 1131 Gelezen
Foutmelding bij installatie module op prestashop 1.7.7.2
« Gepost op: 15 maart, 2021, 19:54:22 »
Ik heb vandaag de module voor prestashop proberen te updaten. Ik heb dit geprobeerd met 6.0.4, 6.1.0 en 6.2.0

Ik kreeg in alle gevallen:

Compile Error: Access level to Acumulus::$confirmUninstall must be public (as in class Module)

[Symfony\Component\Debug\Exception\FatalErrorException 0]

Enig idee wat ik verkeerd doe?

Re: Foutmelding bij installatie module op prestashop 1.7.7.2
« Reactie #1 Gepost op: 15 maart, 2021, 20:22:16 »
Hmm, ik ben er al achter dat deze foutmelding kwam door de eerste versie van de module (6.0.4). Die stond hier op het forum, maar ik las in de changelog waardoor dit fout ging.
Het leek erop dat ik een nieuwe poging kon wagen, maar in werkelijkheid bleef er iets hangen.

Re: Foutmelding bij installatie module op prestashop 1.7.7.2
« Reactie #2 Gepost op: 15 maart, 2021, 20:42:41 »
Die oudere versies van onze module staan er alleen omdat die (misschien) nog werken met oudere versies van PS, maar, zoals je ondervonden hbt, juist niet met de recentere versies van PS. Gebruik dus 6.2.0.

Re: Foutmelding bij installatie module op prestashop 1.7.7.2
« Reactie #3 Gepost op: 16 maart, 2021, 17:46:13 »
Ik heb inmiddels dus 6.2.0 van de koppeling geinstalleerd. Nu krijg ik echter een andere melding.

PrestaShop 1.7.7.2 i.c.m. PHP 7.2.24-0ubuntu0.18.04.7.


Attempted to call an undefined method named "isFullPage" of class "Siel\Acumulus\PrestaShop\Shop\ConfigForm”.

Hoe kan ik dit oplossen?

Re: Foutmelding bij installatie module op prestashop 1.7.7.2
« Reactie #4 Gepost op: 16 maart, 2021, 18:01:45 »
Dit betekent dat de bijbehorende library niet goed geïnstalleerd/geüpdatet is. Er is een naamswijziging geweest van deze eigenschap van de class Form, dus jengebruikt niet de meest recente versie van de library. Als je vanaf github hebt gedownload dan moet je zelf de library updaten door ook die te downloaden. Als je de zip die op het forum staat hebt gedownload is er iets fout gegaan bij het uploaden naar de server want ik heb even gekeken en de zip is correct.

Re: Foutmelding bij installatie module op prestashop 1.7.7.2
« Reactie #5 Gepost op: 16 maart, 2021, 18:05:46 »
Prima, dat was inderdaad het probleem. Ik had de module van github. Nu van het forum en dan werkt het direct. Bedankt!

Re: Foutmelding bij installatie module op prestashop 1.7.7.2
« Reactie #6 Gepost op: 16 maart, 2021, 19:54:14 »
Als ik op 'verzend facturen naar Acumulus' druk, dan krijg ik onderstaande foutmelding. Wat kan ik daaraan doen?

Notice: Undefined index: type
ExceptionLogs 2Stack Trace
Symfony\Component\Debug\Exception\
ContextErrorException
in modules/acumulus/lib/siel/acumulus/src/Helpers/FormHelper.php (line 138)
    protected function constructFieldMeta(array $fields)    {        $result = [];        foreach ($fields as $key => $field) {            $name = isset($field['name']) ? $field['name'] : (isset($field['id']) ? $field['id'] : $key);            $type = $field['type'];            if ($type === 'checkbox') {                foreach ($field['options'] as $checkboxKey => $option) {                    $data = new stdClass();                    $data->name = $name;                    $data->type = $type;

Re: Foutmelding bij installatie module op prestashop 1.7.7.2
« Reactie #7 Gepost op: 16 maart, 2021, 20:48:43 »
Ik denk dat je hier slachtoffer geworden bent van waar ik op de forumpagina met de download voor waarschuw:

Citaat
Installatie-instructies: omdat PrestaShop bij een update oude bestanden niet verwijderd, blijven oude versies van bestanden die hernoemd of verplaatst zijn gewoon bestaan. Dit kan tot fouten leiden. Daarom raden wij aan om - zeker bij deze nieuwe major versie 5 - de folder /modules/acumulus in zijn geheel te verwijderen en daarna de inhoud van de zip in de /modules folder te unzippen. Daarna in de backend (modules- geïnstalleerde modules - acumulus - upgraden) een update van de module draaien.

En recentelijk zijn voor PrestaShop enkele Form overrides overbodig geworden en dus verwijderd, o.a. het bestand modules/acumulus/lib/siel/acumulus/src/PrestaShop/Shop/BatchForm.php. Als deze bij jou nog bestaat, dan is dat de oorzaak van dit probleem.

Re: Foutmelding bij installatie module op prestashop 1.7.7.2
« Reactie #8 Gepost op: 16 maart, 2021, 21:05:29 »
Wederom bedankt voor de snelle reactie!! Want dit was inderdaad de oplossing. Excuus voor het over deze tekst heen lezen.